Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.plexus
Class PlexusLifecycleListener

    java.lang.Object
      org.apache.struts2.plexus.PlexusLifecycleListener

All Implemented Interfaces:
  EventListener, javax.servlet.http.HttpSessionListener, javax.servlet.ServletContextListener

    public class PlexusLifecycleListener

extends Object
implements javax.servlet.ServletContextListener, javax.servlet.http.HttpSessionListener

Manages the Plexus lifecycle for the servlet and session contexts

Field Summary
`static String` | `KEY`

Constructor Summary
`PlexusLifecycleListener()`

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)`
`void` | `contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)`
`static boolean` | `isLoaded()`
`void` | `sessionCreated(javax.servlet.http.HttpSessionEvent httpSessionEvent)`
`void` | `sessionDestroyed(javax.servlet.http.HttpSessionEvent httpSessionEvent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

See Also:
  Constant Field Values

Constructor Detail

### PlexusLifecycleListener

    public PlexusLifecycleListener()

Method Detail

### isLoaded

    public static boolean isLoaded()

  Returns:
    Returns if the container is loaded.

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

### sessionCreated

    public void sessionCreated(javax.servlet.http.HttpSessionEvent httpSessionEvent)

  Specified by:
    `sessionCreated` in interface `javax.servlet.http.HttpSessionListener`

### sessionDestroyed

    public void sessionDestroyed(javax.servlet.http.HttpSessionEvent httpSessionEvent)

  Specified by:
    `sessionDestroyed` in interface `javax.servlet.http.HttpSessionListener`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.